# Class ConcurrentReadException

Object
Throwable
Exception
DataStoreException
ConcurrentReadException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

public class ConcurrentReadException extends DataStoreException
Thrown when an operation cannot be performed while a read operation is in progress. This exception is thrown for example if a write operation is attempted on a data store that does not support concurrent read and write operations.

Since:
  0.8
See Also:
  - `ConcurrentWriteException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConcurrentReadException()`
  Creates an exception with no cause and no details message.
  `ConcurrentReadException(String message)`
  Creates an exception with the specified details message.
  `ConcurrentReadException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `ConcurrentReadException(Locale locale, String filename)`
  Creates a localized exception for an operation that cannot be executed while a read operation is in progress.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConcurrentReadException

    public ConcurrentReadException()
    Creates an exception with no cause and no details message.

  - ### ConcurrentReadException

    public ConcurrentReadException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### ConcurrentReadException

    public ConcurrentReadException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.

  - ### ConcurrentReadException

    public ConcurrentReadException(Locale locale, String filename)
    Creates a localized exception for an operation that cannot be executed while a read operation is in progress. Arguments given to this constructor are hints for building an error message.
    Parameters:
      `locale` - the locale of the message to be returned by `DataStoreException​.getLocalizedMessage()`, or `null`.
      `filename` - name of the file or data store where a read operation is in progress.